Name:           git-rpmbuild
Version:        0.1
Release:        1%{?dist}
Summary:        Build RPM packages from Development Trees
License:        GPLv2
URL:            https://github.com/filbranden/git-rpmbuild
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildRequires:  python3-rpm-macros
Requires:       git-core
Requires:       rpm-build

%description
Build RPM packages from Development Trees

Use RPMs to deploy and test development versions of your package, during your
development cycle. Quickly build RPM packages, using incremental builds from
your worktree. Use RPM to install the packages locally and easily rollback by
downgrading back to the distro packages.

%prep
%autosetup

%build
%{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
%{__python3} setup.py test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%license LICENSE
%doc README.md
%{_bindir}/git-rpmbuild
%{python3_sitelib}/*

%changelog
* Sun Sep 15 2019 Filipe Brandenburger <filbranden@gmail.com>
- Initial release
